hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Denis Bolshakov (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (YARN-5811) ConfigurationProvider must implement Closeable interface
Date Tue, 01 Nov 2016 13:33:58 GMT

    [ https://issues.apache.org/jira/browse/YARN-5811?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15625440#comment-15625440
] 

Denis Bolshakov edited comment on YARN-5811 at 11/1/16 1:33 PM:
----------------------------------------------------------------

1. I don't see any benefit of having extra level, from my point of view - it's over engineering
with  extra cost.
2. For the second comment I will correct.


was (Author: bolshakov.denis@gmail.com):
1. I don't see any benefit of having extra level, from my point of view - it's over engineering
with cost of extra cost.
2. For the second comment I will correct.

> ConfigurationProvider must implement Closeable interface
> --------------------------------------------------------
>
>                 Key: YARN-5811
>                 URL: https://issues.apache.org/jira/browse/YARN-5811
>             Project: Hadoop YARN
>          Issue Type: Improvement
>          Components: yarn
>            Reporter: Denis Bolshakov
>         Attachments: YARN-5811.1.patch, YARN-5811.3.patch, YARN-5811.5.patch
>
>
> ConfigurationProvider declares close method, it would be so nice if the class implements
Closeable interface allowing to use `try with resources`



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message